---
layout: feature
title: Issue Board
suppress_header: true
twitter_image: '/images/tweets/announcing-the-gitlab-issue-board.png'
description: "The perfect pairing of issue tracking and project management"
canonical_path: "/stages-devops-lifecycle/issueboard/"
extra_css:
  - "solutions.css"
extra_js:
  - "solutions.js"
---

.page-container.issue-boards-container.text-center.animated
  .container
    .header-graphic
      = image_tag "/images/issue-boards/icon-header.png", class: "img-responsive"

    %h1.page-headline
      Introducing the GitLab Issue Board
    %h4.subheader
      The perfect pairing of issue tracking and project management
    = link_to "Watch a GitLab demo", "/demo/", class: "btn cta-btn btn-red"
    %a.btn.cta-btn.btn-white{ href: "https://docs.gitlab.com/ee/user/project/issue_board.html" } Documentation

.page-container.content-container.text-center.animated
  .container
    %h2.page-headline.orange-title
      What is the GitLab Issue Board?
    .feature-item.col-md-10.col-md-push-1
      = icon("issue-boards/icon-benefit-1", "feature-icon", { label: "One tool, endless functionality" })
      %h3
        One tool, endless functionality
      %p
        Everything is in one place. Track issues and communicate progress without switching between products. One interface to follow your issues from backlog to done.
    .feature-item.col-md-10.col-md-push-1
      = icon("issue-boards/icon-benefit-2", "feature-icon", { label: "Beautiful and comprehensive" })
      %h3
        Beautiful and comprehensive
      %p
        It’s more than a visual representation. It’s your issues, your labels, and all the metadata that comes with them. And you still have all of the same sorting and filtering tools that you use across GitLab.
    .feature-item.col-md-10.col-md-push-1
      = icon("issue-boards/icon-benefit-3", "feature-icon", { label: "Flexible setup" })
      %h3
        Flexible setup
      %p
        You define your process and we organize it. You create the label. We create the corresponding column and pull in your existing issues. When you're ready you drag and drop from one step to the next.

#video-explainer.page-container.content-container.text-center.video-explainer
  .container
    %h2.page-headline
      Check out the Issue Board in action

    .video-container
      %iframe{ src: "https://www.youtube.com/embed/UWsJ8tkHAa8", frameborder: "0", allowfullscreen: true }


.what-is.purple-section.text-center.animated
  .container
    %h2.purple-section-title
      Watch our webcast!
    .purple-section-subtitle
      Lean more about the Issue Board and see the rest of GitLab 8.11
    %a.featured-item-cta-btn.white-on-primary.btn-margin-top{ href: "https://youtu.be/Ho-9sPthILc" } Watch on YouTube

.page-container.content-container.white-bg.animated
  .container
    %h2.page-headline.text-center
      Getting started with your Issue Board
    %h3.getting-started-subheader.text-center
      :markdown
        The GitLab Issue Board is available in GitLab.com, GitLab Community Edition, and GitLab Enterprise Edition.<br>Getting started is the same in all three products (except [step 6](#step-6)).
    %section#steps.steps
      -#
      -#  Step 01
      -#
      #step-1.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-1", "step-icon", { label: "Create an issue" })
            %span.step-number.text-center
              [ step 01 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Create a New Issue
              .lead.text-center.step-lead-text
                :markdown
                  Issues help you summarize your ideas and align the team on a common goal.
              .row.row-eq-height
                .col-md-6.step-content
                  :markdown
                    Go to the Issues tab under your project's page and create your first issue.

                    If your project already has some issues, jump right to the next step!
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/issue-boards/step-1-illustration.png", class: "img-responsive"
      -#
      -#  Step 02
      -#
      #step-2.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-2", "step-icon", { label: "Add a label" })
            %span.step-number.text-center
              [ step 02 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Label your issue
              .lead.text-center.step-lead-text
                :markdown
                  [Labels](http://docs.gitlab.com/ee/user/project/labels.html) make it easy to categorize issues based on descriptive titles. They help teams quickly understand the context of an issue. Labels can be used to describe the issue type, like "new feature," or describe the issue stage, like "QA."
              .row.row-eq-height
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/issue-boards/step-2-illustration.png", class: "img-responsive"
                .col-md-6.step-content
                  :markdown
                    Create your first label: it's simple, you can create it from
                    [within the issue](http://docs.gitlab.com/ee/user/project/labels.html#create-a-new-label-right-from-the-issue-tracker)
                    itself or by navigating to the [labels area](http://docs.gitlab.com/ee/user/project/labels.html#create-new-labels).

                    If you already have labels, it's time to meet the Issue Board!
      -#
      -#  Step 03
      -#
      #step-3.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-3", "step-icon step-icon-3", { label: "Go to your board" })
            %span.step-number.text-center
              [ step 03 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Navigate to your Issue Board
              .lead.text-center.step-lead-text
                :markdown
                  Issues appear as cards on the Issue Board.<br>They can be arranged across a number of columns using lists.
              .row.row-eq-height
                .col-md-6.step-content
                  :markdown
                    Find your Issue Board by navigating to your project's **Issues > Board**. By default, there's a list called **Backlog**, where you'll find all the issues in that project, and there's a list called **Done**, which will contain all the issues that have already been closed. Now let's create some new lists.
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/issue-boards/step-3-illustration.png", class: "img-responsive"
      -#
      -#  Step 04
      -#
      #step-4.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-4", "step-icon", { label: "Create a list based on a label" })
            %span.step-number.text-center
              [ step 04 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Create a new list
              .lead.text-center.step-lead-text
                :markdown
                  Lists are based on the labels already created for your project.<br>Each list contains the issues that are assigned to the corresponding label.
              .row.row-eq-height
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/issue-boards/step-4-illustration.png", class: "img-responsive"
                .col-md-6.step-content
                  :markdown
                    Click **"Create new list"** and choose a label to create the list from. Once done, the list will appear as a new column on your board, and the issues assigned to that label will automatically move from Backlog to your new list. If you are starting fresh, you can add GitLab's suggested default lists to your Issue Board in one click.

                    Once you have created your lists, you can drag-and-drop to re-order them to match your team's flow.
      -#
      -#  Step 05
      -#
      #step-5.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-5", "step-icon", { label: "Drag and drop to organize issues" })
            %span.step-number.text-center
              [ step 05 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Move issues between lists
              .lead.text-center.step-lead-text.step-lead-text-last
                :markdown
                  Communicate progress on your release and easily adjust your plans right from the Issue Board.
              .row.row-eq-height
                .col-md-6.step-content
                  :markdown
                    Move an issue between two lists and the label will swap to the new list.

                    Every time you create a new issue with any of the labels in your lists or you create a new issue right from the Board, the issue will be automatically displayed on your Issue Board.

                    When you're done working, simply move the card to **Done** and the issue will be automatically closed for you!
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/issue-boards/step-5-illustration.png", class: "img-responsive"

      -#
      -#  Step 06
      -#
      #step-6.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-6", "step-icon step-icon-3", { label: "Multiple Boards" })
            %span.step-number.text-center
              [ step 06 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Multiple Project Issue Boards
              .row.row-eq-height
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/issue-boards/step-6-illustration.png", class: "img-responsive"
                .col-md-6.step-content
                  :markdown

                    Create multiple Issue Boards for each of your projects.

                    It's simple: navigate to your Issue Board, click <i class="fas fa-caret-down" style="color: rgb(49,163,92)" aria-hidden="true"></i> to open a dropdown menu that will give you the
                    option to create new boards, edit the existing ones, or delete the boards you
                    don't need anymore. Use the same dropdown menu to navigate between your boards.

      -#
      -#  Step 07
      -#
      #step-7.step.js-step
        .container
          .step-icon-container
            = icon("issue-boards/icon-step-7", "step-icon", { label: "Group Issue Boards" })
            %span.step-number.text-center
              [ step 07 ]
          .row
            .col-md-10.col-md-push-1.step-content-holder
              %h3.step-title.text-center
                Group Issue Boards
              .lead.text-center.step-lead-text
                :markdown
                  Multiple Group Issue Board functionality is available only in [**GitLab Silver/Premium and Gold/Ultimate**](/pricing/)
                  and [**GitLab.com**](/pricing#gitlab-com).
              .row.row-eq-height
                .col-md-6.step-image-container
                  .step-image
                    = image_tag "/images/feature_page/screenshots/49-group_issue_board.png", class: "img-responsive"
                .col-md-6.step-content
                  :markdown

                    Create Issue Boards at the group level and manage all issues
                    of the underlying projects in a single and concentrated view.

                    Lists, labels, and milestones are all managed at the group
                    level, allowing you to focus on the group. This means a team
                    may naturally be working across multiple projects, making it
                    extremely helpful to manage issues across all those projects
                    together.

                    Interested in multiple Issue Boards per group? Download a free trial of [GitLab Enterprise Edition](/free-trial/) risk-free for 30 days!